
/*****************************************************************************

Copyright (C) 1998  Eric Kilfoil (kewjhoe) eric@ipass.net

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

The author can be reached at eric@ipass.net

*****************************************************************************/

#include <stdio.h>
#include "doorutil.h"

#define DOORID	"Wheel of Falken"
//#define UNREGD


void main(int argc, char *argv[])
{
  int j, k, age = 0, age2 = 0, loop1, int1;
  char password[21], string[22], datapath[64],fname[76];
  
  password[0] = 0;  
  strcpy(datapath, argv[1]);
	
	if (argc == 1) 
		sprintf(datapath, "%s", "./");
	else
		if (argv[1][strlen(argv[1])-1] == '/')
		 sprintf(datapath, "%s", argv[1]);
		else 
			sprintf(datapath, "%s/", argv[1]);

  for(loop1 = 2; loop1 < argc; loop1++)
  { if(argv[loop1][0] == '/')
    { switch(toupper(argv[loop1][1]))
      { case 'P':
          strncpy(password, &argv[loop1][3], 20);
          break;
        case 'A':
          age = atoi(&argv[loop1][3]);
          break;
      }
    }
  }
  init();
  if(age)
  { age2 = compute_age(myacct->birthday.month, myacct->birthday.day, myacct->birthday.year);
    if(age2 < age)
    { qprintf("\r\x1b[0;32mYou are to young for this program.\x1b[0m\r\r");
      return;
    }
  }
  if(strlen(password))
  { qprintf("\r\x1b[0;32mThis program is password protected, please enter a valid password.\r: \x1b[0;1m");
    qgets(string, 21);
    if(strcasecmp(string, password) != 0)
    { qprintf("\r\x1b[0;32mInvalid password, returning you to the main menu.\x1b[0m\r");
      return;
    }
  }    
	if (!myuser->u_ansi)
	{
		qprintf("\rYou must have ANSI enabled to use Wheel of Falken");
		qprintf("\rNow returning you to the BBS...");
		exit(0);
	}
#ifdef UNREGD
	qprintf("[2J[1;1H[1;33m");
	centerprint("Welcome to Wheel of Falken!\r");
	qprintf("[1;37m");
	centerprint("This copy of W-o-F is unregistered.  Please pressure\r");
	centerprint("your sysop into registering!  The ONLY thing he needs\r");
	centerprint("to do to register is send an email to the author of\r");
	centerprint("this software.  It is TOTALLY FREE!\r");
	centerprint("I do this just so I know whether people actually use\r");
	centerprint("the programs that I write.\r");
	qprintf("\rPausing for 15 seconds");
	for (loop1 = 0; loop1 < 15; loop1++)
	{
		qprintf(".");
		sleep(1);
	}
	qprintf("[2J[1;1H");
#endif
  hog();
  for(loop1 = 0; loop1 < numlines; loop1++)
  { if(strcasecmp(user[loop1].doors_id, DOORID) == 0)
      break;
  }
  if(loop1 == numlines)
  { 
    sprintf(fname, "%swofalken %s", datapath, datapath);
    if((int1 = load_a_door(fname)) < 0)
    { qprintf("\r\x1b[0;32mError loading main engine, returning you to the bbs.\x1b[0m\r");
      exit(0);
    }
  }
  nohog();
  strcpy(myuser->doors_id, DOORID);
  suspend();
  exit(0);
}

centerprint(char *ltp)
{
	int x;
		
	x = ((myacct->linlen/2) - (strlen(ltp)/ 2));
	qprintf("[%dC", x);
	qprintf(ltp);
}


compute_age(int month, int day, int year)
{
  struct tm *t;
  int j, k;
  time_t t1;
  
  t1 = time(NULL);
  t = localtime(&t1);
  j = (t->tm_year + 1900) - year;
  k = month - t->tm_mon;
  if(k == 0)
    k = day - t->tm_mday;
  if(k > 0)
    j--;
  return (j);
}
