




#include <stdio.h>
#include "doorutil.h"

struct _gameinfo {
  char gamestatus[256];
} gameinfo;

struct _sgameinfo {
  char chopped[4][21];
  char puzzle[81];
  char lettersap[22];
  char lastmessage[78];
	char vowelap[6];
  int whosturn;
  int round;
  char players[3][32];
  int score[3];
  int totalscore[3];
  int spin;
  int gamehasstarted;
} sgameinfo;

main(int argc, char *argv[])
{
	FILE *gamefile;
	FILE *tbo;
	int loop1;
	int flag=0;
	int loop2;
	char datapath[64];
	char buffer[4096];

	init();
	if (argc == 2)
		sprintf(datapath, "%s/games.dat", argv[1]);
	else
		strcpy(datapath, "./games.dat");
	if ((gamefile = fopen(datapath, "r")) == 0)
		send_lprintf("WOFLogon: Could not load %s", datapath);
	else {
		fread(&gameinfo.gamestatus, sizeof(struct _gameinfo), 1, gamefile);
		fclose(gamefile);
	}
	if (argc == 2)
		sprintf(datapath, "%s/wofgames.dat", argv[1]);
	else
		strcpy(datapath, "./wofgames.dat");
	if ((tbo = fopen(datapath, "r")) == 0)
		send_lprintf("WOFLogon: Could not load %s", datapath);
	else {
		strcpy(buffer,"         [1;34mĿ\r           [1;33mWheel Of Falken Games - It is YOUR turn in these games [34m\r         Ĵ\r         [33mGame [34m [33mOther players in the game with you        [34m [33mRound [34m\r         Ĵ\r");
		for (loop1 = 0; loop1 < 256; loop1++)
		{
			if (gameinfo.gamestatus[loop1] == 2)
			{
				fseek(tbo, (sizeof(struct _sgameinfo) * loop1), SEEK_SET);
				fread(&sgameinfo, sizeof(struct _sgameinfo), 1, tbo);
				for (loop2 = 0; loop2 < 3; loop2++)
				{
					if (strcmp(sgameinfo.players[loop2], acnt[who].acctname) == 0)
					{
						//qprintf("Game %d - Match Username\r", loop1);
						if (sgameinfo.whosturn == loop2)
						{
							char tmp[4];
							char oplayer1[21];
							char oplayer2[21];
							sprintf(tmp, "%d", loop1);
							//qprintf("Game %d - Match turn\r", loop1);
							if (loop2 == 0)
							{
								strncpy(oplayer1, sgameinfo.players[1], 20);
								strncpy(oplayer2, sgameinfo.players[2], 20);
							} else if (loop2 == 1) {
								strncpy(oplayer1, sgameinfo.players[0], 20);
								strncpy(oplayer2, sgameinfo.players[2], 20);
							} else if (loop2 == 2) {
								strncpy(oplayer1, sgameinfo.players[0], 20);
								strncpy(oplayer2, sgameinfo.players[1], 20);
							}
							if ((!strlen(oplayer1)) && (!strlen(oplayer2)))
								strcpy(oplayer1, "Single Player Game");
							sprintf(buffer, "%s         [1;34m [37m%-3.3s [1;34m [1;37m%-20.20s %-20.20s [1;34m   [1;37m%-1.1d   [1;34m\r", 
									buffer, tmp, oplayer1, oplayer2, sgameinfo.round+1);
							flag=1;
						}
					}
				}
			}
		}
		strcat(buffer, "         \r");
		if (flag)
		{
			qprintf("%s", buffer);
		}
		fclose(tbo);
	}
}
